Door-Door
curl --request POST \
--url https://api.mervii.com/beta/parcel/logistics/door-door \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destinations": [
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
},
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
},
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
}
],
"pickup_origin": {
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"pickup_date": "",
"pickup_note": "",
"pickup_time": "",
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA",
"vehicle": ""
}
}
'import requests
url = "https://api.mervii.com/beta/parcel/logistics/door-door"
payload = {
"destinations": [
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
},
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
},
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
}
],
"pickup_origin": {
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"pickup_date": "",
"pickup_note": "",
"pickup_time": "",
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA",
"vehicle": ""
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destinations: [
{
address: 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
city: 'Lagos',
contacts: {
email: 'abdul@gmail.com',
name: 'Olakunle Olayemi',
phone_number: '09020500177',
phone_number_2: ''
},
country_code: 'NG',
delivery_note: '',
item_weight: 1,
items: [{height: '', length: '', name: 'Book', width: ''}],
region: {latitude: 6.4612672, longitude: 3.3961466},
state_code: 'LA'
},
{
address: 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
city: 'Lagos',
contacts: {
email: 'abdul@gmail.com',
name: 'Olakunle Olayemi',
phone_number: '09020500177',
phone_number_2: ''
},
country_code: 'NG',
delivery_note: '',
item_weight: 1,
items: [{height: '', length: '', name: 'Book', width: ''}],
region: {latitude: 6.4612672, longitude: 3.3961466},
state_code: 'LA'
},
{
address: 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
city: 'Lagos',
contacts: {
email: 'abdul@gmail.com',
name: 'Olakunle Olayemi',
phone_number: '09020500177',
phone_number_2: ''
},
country_code: 'NG',
delivery_note: '',
item_weight: 1,
items: [{height: '', length: '', name: 'Book', width: ''}],
region: {latitude: 6.4612672, longitude: 3.3961466},
state_code: 'LA'
}
],
pickup_origin: {
address: 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
city: 'Lagos',
contacts: {
email: 'abdul@gmail.com',
name: 'Olakunle Olayemi',
phone_number: '09020500177',
phone_number_2: ''
},
country_code: 'NG',
pickup_date: '',
pickup_note: '',
pickup_time: '',
region: {latitude: 6.4612672, longitude: 3.3961466},
state_code: 'LA',
vehicle: ''
}
})
};
fetch('https://api.mervii.com/beta/parcel/logistics/door-door', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mervii.com/beta/parcel/logistics/door-door",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destinations' => [
[
'address' => 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
'city' => 'Lagos',
'contacts' => [
'email' => 'abdul@gmail.com',
'name' => 'Olakunle Olayemi',
'phone_number' => '09020500177',
'phone_number_2' => ''
],
'country_code' => 'NG',
'delivery_note' => '',
'item_weight' => 1,
'items' => [
[
'height' => '',
'length' => '',
'name' => 'Book',
'width' => ''
]
],
'region' => [
'latitude' => 6.4612672,
'longitude' => 3.3961466
],
'state_code' => 'LA'
],
[
'address' => 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
'city' => 'Lagos',
'contacts' => [
'email' => 'abdul@gmail.com',
'name' => 'Olakunle Olayemi',
'phone_number' => '09020500177',
'phone_number_2' => ''
],
'country_code' => 'NG',
'delivery_note' => '',
'item_weight' => 1,
'items' => [
[
'height' => '',
'length' => '',
'name' => 'Book',
'width' => ''
]
],
'region' => [
'latitude' => 6.4612672,
'longitude' => 3.3961466
],
'state_code' => 'LA'
],
[
'address' => 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
'city' => 'Lagos',
'contacts' => [
'email' => 'abdul@gmail.com',
'name' => 'Olakunle Olayemi',
'phone_number' => '09020500177',
'phone_number_2' => ''
],
'country_code' => 'NG',
'delivery_note' => '',
'item_weight' => 1,
'items' => [
[
'height' => '',
'length' => '',
'name' => 'Book',
'width' => ''
]
],
'region' => [
'latitude' => 6.4612672,
'longitude' => 3.3961466
],
'state_code' => 'LA'
]
],
'pickup_origin' => [
'address' => 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
'city' => 'Lagos',
'contacts' => [
'email' => 'abdul@gmail.com',
'name' => 'Olakunle Olayemi',
'phone_number' => '09020500177',
'phone_number_2' => ''
],
'country_code' => 'NG',
'pickup_date' => '',
'pickup_note' => '',
'pickup_time' => '',
'region' => [
'latitude' => 6.4612672,
'longitude' => 3.3961466
],
'state_code' => 'LA',
'vehicle' => ''
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mervii.com/beta/parcel/logistics/door-door"
payload := strings.NewReader("{\n \"destinations\": [\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 1,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\"\n },\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 1,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\"\n },\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 1,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\"\n }\n ],\n \"pickup_origin\": {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"pickup_date\": \"\",\n \"pickup_note\": \"\",\n \"pickup_time\": \"\",\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\",\n \"vehicle\": \"\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mervii.com/beta/parcel/logistics/door-door")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destinations\": [\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 1,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\"\n },\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 1,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\"\n },\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 1,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\"\n }\n ],\n \"pickup_origin\": {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"pickup_date\": \"\",\n \"pickup_note\": \"\",\n \"pickup_time\": \"\",\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"LA\",\n \"vehicle\": \"\"\n }\n}")
.asString();{
"data": {
"discount_description": "0% discount",
"discount_type": "Percetage",
"status": "Pending",
"total_amount": 10799.67,
"total_amount_payable": 10799.67,
"total_discount_amount": 0,
"tracking_number": "202410083370182"
},
"message": "Parcel is successful",
"status": true
}{
"message": "The pickup origin.contacts.name field is required.",
"status": false
}Door-Door
This API endpoint allows you to create a new FlexFlow (door-to-door) parcel request. The HTTP POST request should be sent to /parcel/logistics/door-door with the following payload in the raw request body:
{
"pickup_origin": {
"state_code": "LA",
"country_code": "NG",
"city": "Lagos",
"address": "Ikolaba Rd, Ibadan 200285, Oyo ...",
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"contacts": {
"name": "Olakunle Olayemi",
"email": "abdul@gmail.com",
"phone_number": "09020500177",
"phone_number_2": ""
},
"pickup_note": "",
"pickup_date": "",
"pickup_time": "",
"vehicle": ""
},
"destinations": [
{
"state_code": "LA",
"country_code": "NG",
"city": "Lagos",
"address": "Ikolaba Rd, Ibadan 200285, Oyo ...",
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"contacts": {
"name": "Olakunle Olayemi",
"email": "abdul@gmail.com",
"phone_number": "09020500177",
"phone_number_2": ""
},
"delivery_note": "",
"items": [
{
"name": "Book",
"width": "",
"length": "",
"height": ""
}
],
"item_weight": 1
}
]
}
The response to this request will include a JSON object with the following structure:
{
"status": true,
"message": "",
"data": {
"tracking_number": "",
"status": "",
"total_amount": 0,
"total_discount_amount": 0,
"total_amount_payable": 0,
"discount_type": "",
"discount_description": ""
}
}
POST
/
parcel
/
logistics
/
door-door
Door-Door
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Example:
[
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
},
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
},
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 1,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": "LA"
}
]Show child attributes
Show child attributes
Was this page helpful?
⌘I
